## com.sun.grizzly.async
Class AsyncQueueReaderContextTask

    java.lang.Object
      com.sun.grizzly.ContextTask
          com.sun.grizzly.SelectionKeyContextTask
              com.sun.grizzly.async.AsyncQueueReaderContextTask

All Implemented Interfaces:
  Callable

    public class AsyncQueueReaderContextTask

extends SelectionKeyContextTask

`AsyncQueueReader` task, which will be executed by `Context`, when Context.execute(`ContextTask`) is called.

Author:
  Alexey Stashok

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.grizzly.ContextTask
`ContextTask.TaskPool<E extends ContextTask>`

Field Summary

Fields inherited from class com.sun.grizzly.ContextTask
`context`

Constructor Summary
`AsyncQueueReaderContextTask()`

Method Summary
`protected void` `afterCall()`
`protected void` `beforeCall()`
`Object` `doCall()`
`AsyncQueueReader` `getAsyncQueueReader()`
`void` `offer()` Return instance to the pool WARN: Do not call super.offer(), as it can lead to multiple offer call
`static void` `offer(AsyncQueueReaderContextTask contextTask)`
`static AsyncQueueReaderContextTask` `poll()`
`void` `recycle()`
`void` `setAsyncQueueReader(AsyncQueueReader asyncQueueReader)`

Methods inherited from class com.sun.grizzly.SelectionKeyContextTask
`call`

Methods inherited from class com.sun.grizzly.ContextTask
`getContext, setContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncQueueReaderContextTask

    public AsyncQueueReaderContextTask()

Method Detail

### poll

    public static AsyncQueueReaderContextTask poll()

### offer

    public static void offer(AsyncQueueReaderContextTask contextTask)

### afterCall

    protected void afterCall()

  Overrides:
    `afterCall` in class `SelectionKeyContextTask`

### beforeCall

    protected void beforeCall()

  Overrides:
    `beforeCall` in class `SelectionKeyContextTask`

### doCall

    public Object doCall()
                  throws Exception

  Specified by:
    `doCall` in class `SelectionKeyContextTask`
  Throws:
    `Exception`

### getAsyncQueueReader

    public AsyncQueueReader getAsyncQueueReader()

### setAsyncQueueReader

    public void setAsyncQueueReader(AsyncQueueReader asyncQueueReader)

### recycle

    public void recycle()

  Overrides:
    `recycle` in class `ContextTask`

### offer

    public void offer()

  Description copied from class: `ContextTask`
  Return instance to the pool WARN: Do not call super.offer(), as it can lead to multiple offer call

  Specified by:
    `offer` in class `ContextTask`

Copyright © 2008 SUN Microsystems. All Rights Reserved.